Create or replace a guidance file
const url = 'https://shareout.site/v1/workspaces/example/context/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'text/markdown'}, body: 'example'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://shareout.site/v1/workspaces/example/context/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: text/markdown' \ --data exampleOwner/admin. Also accepts POST. Raw markdown body or JSON { "content": "..." }; max 64KB, 100 files.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace ID or slug.
Lowercase file name ending in .md (max 64 chars).
Request Bodyrequired
Section titled “Request Bodyrequired”object
Examplegenerated
{ "content": "example"}Responses
Section titled “Responses”{ name, size, updated: true }
Invalid request
object
Human-readable message.
Machine-readable error code.
Correlation id (also the X-Request-Id header). Quote it in support tickets.
Finer cause under code. For UNAUTHORIZED: missing, invalid, revoked or expired.
What to do next, in plain words.
The request field at fault.
Doc page for this error.
Present on 5xx — how to reach a human.
object
Example
{ "success": false, "support": { "how": "POST /v1/support/tickets", "include": [ "request_id" ] }}Access denied
object
Human-readable message.
Machine-readable error code.
Correlation id (also the X-Request-Id header). Quote it in support tickets.
Finer cause under code. For UNAUTHORIZED: missing, invalid, revoked or expired.
What to do next, in plain words.
The request field at fault.
Doc page for this error.
Present on 5xx — how to reach a human.
object
Example
{ "success": false, "support": { "how": "POST /v1/support/tickets", "include": [ "request_id" ] }}